V4.0
get
/ec-designer-ors-svc/rest/v4.0/studies/{studyId}/versions/{version}/randomizations/{randomId}/strata
Retrieves a list of all strata groups associated with a randomization design.
Request
Path Parameters
-
randomId(required): string(uuid)
Randomization ID
-
studyId(required): string(uuid)
Study unique identifier.
-
version(required): string
Study version identifier.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object StrataItemV4
Stratum details returned by the v4 strata read APIs.
Nested Schema : StrataItemV4
Type:
objectStratum details returned by the v4 strata read APIs.
Show Source
-
factors: array
factors
Stratification factors used to define the stratum.
-
id: string
(uuid)
Minimum Length:
32Maximum Length:32Stratum unique identifier. -
name: string
Minimum Length:
1Maximum Length:64Stratum display name.Example:Minimization Group 1 -
objectId: string
(uuid)
Minimum Length:
32Maximum Length:32Object unique identifier associated with the objectType. -
objectType: string
Minimum Length:
8Maximum Length:12Allowed Values:[ "FORMITEM", "CLCODEVALUES" ]Object type for minimization strata. Allowed values: FORMITEM = minimization factor sourced from a form item, CLCODEVALUES = minimization factor sourced from configured code list values. This field can be null for non-minimization strata.Example:CLCODEVALUES -
parentCohortId: string
(uuid)
Minimum Length:
32Maximum Length:32Parent cohort unique identifier when the stratum belongs to a cohort. -
parentCohortName: string
Minimum Length:
1Maximum Length:64Parent cohort name when the stratum belongs to a cohort.Example:Adult Cohort -
randomizationType: string
Minimum Length:
7Maximum Length:14Allowed Values:[ "STRATUM", "ADAPTIVESTRATUM", "MINIMIZATION" ]Randomization type for the returned stratum. Allowed values: STRATUM = standard stratified randomization stratum, ADAPTIVESTRATUM = adaptive stratified randomization stratum, MINIMIZATION = minimization randomization stratum.Example:MINIMIZATION -
weight: integer
(int32)
Minimum Value:
0Weight assigned to the stratum when weighted selection is used.Example:1
Nested Schema : factors
Type:
arrayStratification factors used to define the stratum.
Show Source
-
Array of:
object StrataFactorV4
Factor details returned for a v4 stratum.
Example:
[
{
"type":"choice",
"formId":"D1B8327AFAA6412287106192AB5984EF",
"itemId":"E1B8327AFAA6412287106192AB5984EF",
"groupName":"Age Group",
"groupId":"F1B8327AFAA6412287106192AB5984EF",
"values":[
"18-40",
"41-65"
],
"codelistitemIds":[
"977443BF3EFB43888026788E7F7CCE96",
"877443BF3EFB43888026788E7F7CCE95"
]
}
]Nested Schema : StrataFactorV4
Type:
objectFactor details returned for a v4 stratum.
Show Source
-
codelistitemIds: array
codelistitemIds
Identifiers of the selected code list items for a choice factor.
-
formId: string
(uuid)
Minimum Length:
32Maximum Length:32Form unique identifier that owns the factor item. -
groupId: string
(uuid)
Minimum Length:
32Maximum Length:32Factor group unique identifier. -
groupName: string
Minimum Length:
1Maximum Length:64Factor group display name.Example:Age Group -
itemId: string
(uuid)
Minimum Length:
32Maximum Length:32Form item unique identifier for the factor item. -
max: number
(double)
Maximum numeric value for a range factor. Negative values are allowed when supported by the linked numeric form item's validation range.Example:
30 -
min: number
(double)
Minimum numeric value for a range factor. Negative values are allowed when supported by the linked numeric form item's validation range.Example:
-5 -
type: string
Minimum Length:
5Maximum Length:6Allowed Values:[ "choice", "range" ]Factor type. Allowed values: choice = factor based on one or more coded choice values, range = factor based on a numeric range.Example:choice -
values: array
values
Selected code list values for a choice factor.
Nested Schema : codelistitemIds
Type:
arrayIdentifiers of the selected code list items for a choice factor.
Show Source
-
Array of:
string(uuid)
Minimum Length:
32Maximum Length:32
Example:
[
"977443BF3EFB43888026788E7F7CCE96",
"877443BF3EFB43888026788E7F7CCE95"
]Nested Schema : values
Type:
arraySelected code list values for a choice factor.
Show Source
-
Array of:
string
Minimum Length:
1Maximum Length:255Example:18-40
Example:
[
"18-40",
"41-65"
]Examples
500 Response
Returned when the service cannot load the strata for the supplied study version and randomization because of an unexpected server-side failure.
Nested Schema : details
Type:
objectExamples